package md

type EggEnergyDetailReq struct {
	Page      int    `json:"page,required"`  // 页数
	Limit     int    `json:"limit,required"` // 每页大小
	Kind      string `json:"kind"`           // 类型：1. 个人蛋蛋能量 2.团队蛋蛋能量
	Direction string `json:"direction"`      // 类型 1.收入 2.支出 全部则传空
	Type      string `json:"type"`           // 变动类型 全部则传空
	Asc       string `json:"asc"`            // 1.升序 2.倒序
}

type TransferTypeNode struct {
	Value string `json:"value"`
	Name  string `json:"name"`
}

type IntegralList struct {
	IncomeList []TransferTypeNode `json:"income_list"` // 收入类型列表
	ExpendList []TransferTypeNode `json:"expend_list"` // 支出类型列表
}

type TransferTypeList struct {
	AvailableIntegralList  IntegralList `json:"available_integral_list"`  // 可用积分列表
	SettlementIntegralList IntegralList `json:"settlement_integral_list"` // 结算积分列表
}

type EggEnergyDetailResp struct {
	PersonEggEnergy     string              `json:"person_egg_energy"`      // 个人蛋蛋能量
	TeamEggEnergy       string              `json:"team_egg_energy"`        // 团队蛋蛋能量
	TotalEggEnergy      string              `json:"total_egg_energy"`       // 总蛋蛋能量
	TotalEggEnergyPrice string              `json:"total_egg_energy_price"` // 蛋蛋能量总价
	List                []map[string]string `json:"list"`                   // 流水数据
	TransferTypeList    TransferTypeList    `json:"transfer_type_list"`     // 转账类型列表
	Paginate            Paginate            `json:"paginate"`               // 分页信息
}

type EggPointDetailsReq struct {
	Page      int    `json:"page,required"`  // 页数
	Limit     int    `json:"limit,required"` // 每页大小
	Kind      string `json:"kind"`           // 类型：1. 个人蛋蛋积分 2.团队蛋蛋积分
	Direction string `json:"direction"`      // 类型 1.收入 2.支出 全部则传空
	Type      string `json:"type"`           // 变动类型 全部则传空
	Asc       string `json:"asc"`            // 1.升序 2.倒序
}

type EggPointDetailsResp struct {
	PersonEggPoints      string              `json:"person_egg_points"`       // 个人蛋蛋积分
	TeamEggPoints        string              `json:"team_egg_points"`         // 团队蛋蛋积分
	TotalEggPoints       string              `json:"total_egg_points"`        // 总蛋蛋积分
	TotalEggPointsAmount string              `json:"total_egg_points_amount"` // 蛋蛋积分余额
	List                 []map[string]string `json:"list"`                    // 流水数据
	TransferTypeList     TransferTypeList    `json:"transfer_type_list"`      // 转账类型列表
	Paginate             Paginate            `json:"paginate"`                // 分页信息
}

type MyFansResp struct {
	NowTeamUser             int64  `json:"now_team_user"`              // 团队人数
	NowTeamAssistanceNum    int    `json:"now_team_assistance_num"`    // 团队助力人数
	NowTeamAssistanceReward string `json:"now_team_assistance_reward"` // 团队助力收益
}

type OneLineUserNode struct {
	IsOnline   bool   `json:"is_online"`
	AvatarURL  string `json:"avatar_url"`
	Nickname   string `json:"nickname"`
	InviteTime string `json:"invite_time"`
}

type MyFansUserListResp struct {
	List []OneLineUserNode `json:"list"`
}

type SpaceListNode struct {
	Name     string `json:"name"`      // 维度
	MaxCount string `json:"max_count"` // 最大容纳人数
	NowCount string `json:"now_count"` // 当前人数
}

type NineDimensionalSpaceResp struct {
	SpaceTotalNums string          `json:"space_total_nums"` //空间总数
	SpaceNums      string          `json:"space_nums"`       // 空间人数
	SpaceList      []SpaceListNode `json:"space_list"`       // 数据列表
	ALotOfNums     string          `json:"a_lot_of_nums"`    // 全网至多用户数
}
