// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/addFriend/eggEnergyDetails": {
            "post": {
                "description": "蛋蛋能量明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-蛋蛋能量明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页类型必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.EggEnergyDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.EggEnergyDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/eggPointDetails": {
            "post": {
                "description": "蛋蛋积分明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-蛋蛋积分明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页类型必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.EggPointDetailsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.EggPointDetailsResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/myFans": {
            "get": {
                "description": "团队加速速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-我的粉丝-团队加速速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MyFansResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/myFansUserList": {
            "get": {
                "description": "在线好友列表(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-我的粉丝-在线好友列表(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MyFansUserListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/nineDimensionalSpace": {
            "get": {
                "description": "九维空间(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-九维空间(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NineDimensionalSpaceResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/comm/getOssUrl": {
            "get": {
                "description": "上传许可链接(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "通用请求-对象存储-上传许可链接(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "许可链接",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/adRule": {
            "get": {
                "description": "视频奖励规则(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-视频奖励规则(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageWatchAdRuleResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/index": {
            "get": {
                "description": "基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/isCanGetRedPackage": {
            "get": {
                "description": "是否可以领取红包(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-是否领取红包(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.IsCanGetRedPackageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/isCanSignIn": {
            "get": {
                "description": "是否可以签到(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-是否能签到(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.IsCanSignInResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/realTimePrice": {
            "get": {
                "description": "实时数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-实时数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RealTimePriceResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/test": {
            "get": {
                "description": "Demo样例测试",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Demo"
                ],
                "summary": "Demo测试",
                "parameters": [
                    {
                        "description": "任意参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {}
                    }
                ],
                "responses": {
                    "200": {
                        "description": "返回任意参数",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/v1/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/v1/register": {
            "post": {
                "description": "注册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "注册"
                ],
                "summary": "注册",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.RegisterReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "applet_app_md.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "md.EggEnergyDetailReq": {
            "type": "object",
            "properties": {
                "asc": {
                    "description": "1.升序 2.倒序",
                    "type": "string"
                },
                "direction": {
                    "description": "类型 1.收入 2.支出 全部则传空",
                    "type": "string"
                },
                "kind": {
                    "description": "类型：1. 个人蛋蛋能量 2.团队蛋蛋能量",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "type": {
                    "description": "变动类型 全部则传空",
                    "type": "string"
                }
            }
        },
        "md.EggEnergyDetailResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水数据",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md.Paginate"
                        }
                    ]
                },
                "person_egg_energy": {
                    "description": "个人蛋蛋能量",
                    "type": "string"
                },
                "team_egg_energy": {
                    "description": "团队蛋蛋能量",
                    "type": "string"
                },
                "total_egg_energy": {
                    "description": "总蛋蛋能量",
                    "type": "string"
                },
                "total_egg_energy_price": {
                    "description": "蛋蛋能量总价",
                    "type": "string"
                },
                "transfer_type_list": {
                    "description": "转账类型列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.TransferTypeList"
                        }
                    ]
                }
            }
        },
        "md.EggPointDetailsReq": {
            "type": "object",
            "properties": {
                "asc": {
                    "description": "1.升序 2.倒序",
                    "type": "string"
                },
                "direction": {
                    "description": "类型 1.收入 2.支出 全部则传空",
                    "type": "string"
                },
                "kind": {
                    "description": "类型：1. 个人蛋蛋积分 2.团队蛋蛋积分",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "type": {
                    "description": "变动类型 全部则传空",
                    "type": "string"
                }
            }
        },
        "md.EggPointDetailsResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水数据",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md.Paginate"
                        }
                    ]
                },
                "person_egg_points": {
                    "description": "个人蛋蛋积分",
                    "type": "string"
                },
                "team_egg_points": {
                    "description": "团队蛋蛋积分",
                    "type": "string"
                },
                "total_egg_points": {
                    "description": "总蛋蛋积分",
                    "type": "string"
                },
                "total_egg_points_amount": {
                    "description": "蛋蛋积分余额",
                    "type": "string"
                },
                "transfer_type_list": {
                    "description": "转账类型列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.TransferTypeList"
                        }
                    ]
                }
            }
        },
        "md.HomePageResp": {
            "type": "object",
            "properties": {
                "egg_energy_now_price": {
                    "description": "蛋蛋能量当前价格",
                    "type": "string"
                },
                "initial_price": {
                    "description": "蛋蛋能量初始价格",
                    "type": "string"
                },
                "is_rises": {
                    "description": "是否涨价",
                    "type": "boolean"
                },
                "is_sign": {
                    "description": "是否完成签到",
                    "type": "boolean"
                },
                "nick_name": {
                    "description": "用户名称",
                    "type": "string"
                },
                "now_basal_rate": {
                    "description": "当前基础速率/小时",
                    "type": "string"
                },
                "now_team_rate": {
                    "description": "当前团队速率/小时",
                    "type": "string"
                },
                "rises": {
                    "description": "涨/跌价百分比",
                    "type": "string"
                },
                "sign_end_time": {
                    "description": "签到截止时间",
                    "type": "string"
                },
                "sign_reward_egg_energy": {
                    "description": "签到奖励蛋蛋能量/秒",
                    "type": "string"
                },
                "total_active_points": {
                    "description": "总活跃积分",
                    "type": "string"
                },
                "total_egg_energy": {
                    "description": "总蛋蛋能量",
                    "type": "string"
                },
                "user_count": {
                    "description": "当前用户数量",
                    "type": "integer"
                }
            }
        },
        "md.HomePageWatchAdRuleResp": {
            "type": "object",
            "properties": {
                "each_round_hour": {
                    "description": "每一轮X个小时",
                    "type": "string"
                },
                "interval_minutes": {
                    "description": "间隔X秒",
                    "type": "string"
                },
                "reward_total_num": {
                    "description": "一共X个奖励视屏",
                    "type": "string"
                },
                "reward_value": {
                    "description": "奖励X个活跃积分",
                    "type": "string"
                }
            }
        },
        "md.IntegralList": {
            "type": "object",
            "properties": {
                "expend_list": {
                    "description": "支出类型列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TransferTypeNode"
                    }
                },
                "income_list": {
                    "description": "收入类型列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TransferTypeNode"
                    }
                }
            }
        },
        "md.IsCanGetRedPackageResp": {
            "type": "object",
            "properties": {
                "is_can_get_red_package": {
                    "type": "boolean"
                }
            }
        },
        "md.IsCanSignInResp": {
            "type": "object",
            "properties": {
                "is_can_sign_in": {
                    "type": "boolean"
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "phone"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.MyFansResp": {
            "type": "object",
            "properties": {
                "now_team_assistance_num": {
                    "description": "团队助力人数",
                    "type": "integer"
                },
                "now_team_assistance_reward": {
                    "description": "团队助力收益",
                    "type": "string"
                },
                "now_team_user": {
                    "description": "团队人数",
                    "type": "integer"
                }
            }
        },
        "md.MyFansUserListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.OneLineUserNode"
                    }
                }
            }
        },
        "md.NineDimensionalSpaceResp": {
            "type": "object",
            "properties": {
                "a_lot_of_nums": {
                    "description": "全网至多用户数",
                    "type": "string"
                },
                "space_list": {
                    "description": "数据列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SpaceListNode"
                    }
                },
                "space_nums": {
                    "description": "空间人数",
                    "type": "string"
                },
                "space_total_nums": {
                    "description": "空间总数",
                    "type": "string"
                }
            }
        },
        "md.OneLineUserNode": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string"
                },
                "invite_time": {
                    "type": "string"
                },
                "is_online": {
                    "type": "boolean"
                },
                "nickname": {
                    "type": "string"
                }
            }
        },
        "md.RealTimePriceResp": {
            "type": "object",
            "properties": {
                "is_rises": {
                    "type": "boolean"
                },
                "now_price": {
                    "type": "string"
                },
                "rises": {
                    "type": "string"
                },
                "user_count": {
                    "type": "string"
                }
            }
        },
        "md.RegisterReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "avatar": {
                    "type": "string",
                    "example": "头像"
                },
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "mobile": {
                    "type": "string"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "open_id": {
                    "type": "string",
                    "example": "微信openId"
                },
                "sex": {
                    "description": "性别(0:未知 1:男 2:女)",
                    "type": "integer"
                },
                "type": {
                    "type": "string",
                    "example": "app:APP注册、h5:H5注册"
                },
                "union_id": {
                    "type": "string",
                    "example": "微信UnionId"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        },
        "md.SpaceListNode": {
            "type": "object",
            "properties": {
                "max_count": {
                    "description": "最大容纳人数",
                    "type": "string"
                },
                "name": {
                    "description": "维度",
                    "type": "string"
                },
                "now_count": {
                    "description": "当前人数",
                    "type": "string"
                }
            }
        },
        "md.TransferTypeList": {
            "type": "object",
            "properties": {
                "available_integral_list": {
                    "description": "可用积分列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.IntegralList"
                        }
                    ]
                },
                "settlement_integral_list": {
                    "description": "结算积分列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.IntegralList"
                        }
                    ]
                }
            }
        },
        "md.TransferTypeNode": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "ddxq.izhim.com",
	BasePath:         "/api/v1",
	Schemes:          []string{},
	Title:            "蛋蛋星球-APP客户端",
	Description:      "APP客户端-Api接口",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
